import http from './http.js'
const request = http.request


/**
 * 查询耗材类型
 * @returns
 */
export function gettbConsType(params) {
	return request({
		url: '/api/tbConsType',
		method: "get",
		params
	});
}

/**
 * 新增耗材类型
 * @returns
 */
export function posttbConsType(data) {
	return request({
		url: '/api/tbConsType',
		method: "post",
		data
	});
}
/**
 * 修改耗材类型
 * @returns
 */
export function puttbConsType(data) {
	return request({
		url: '/api/tbConsType',
		method: "put",
		data
	});
}
/**
 * 查询耗材信息
 * @returns
 */
export function gettbConsInfo(params) {
	// return request({
	//     url: '/api/tbConsInfo',
	//     method: "get",
	//     params
	// });
	return request({
		url: "/api/tbConsInfo",
		method: "get",
		params: {
			...params,
			shopId: uni.getStorageSync("shopId"),
		}
	});
}


/**
 * 耗材入库
 * @returns
 */
export function posttbConsInfostockIn(data) {
	return request({
		url: '/api/tbConsInfo/stockIn',
		method: "post",
		data
	});
}
/**
 * 修改单位耗材值耗材
 * @returns
 */
export function postapitbConsInfo(data) {
	return request({
		url: '/api/tbConsInfo',
		method: "put",
		data
	});
}
/**
 * 新增耗材信息
 * @returns
 */
export function posttbConsInfo(data) {
	return request({
		url: '/api/tbConsInfo',
		method: "post",
		data
	});
}

/**
 * 查询查询耗材规格信息
 * @returns
 */
export function getviewConSku(params) {
	return request({
		url: '/api/viewConSku',
		method: "get",
		params
	});
}
/**
 * 查询查询商品规格
 * @returns
 */
export function gettbProductSpec(params) {
	return request({
		url: '/api/viewProductSkuShop',
		method: "get",
		params
	});
}
/**
 * 新增商品规格耗材信息
 * @returns
 */
export function posttbProskuCon(data) {
	return request({
		url: '/api/tbProskuCon',
		method: "post",
		data
	});
}
/**
 * 新增商品规格耗材信息-修改后
 * @returns
 */
export function posttbProskuCons(data) {
	return request({
		url: '/api/tbProskuCon',
		method: "post",
		data
	});
}
/**
 * 修改商品规格耗材信息状态
 * @returns
 */
export function puttbProskuCon(data) {
	return request({
		url: '/api/tbProskuCon',
		method: "put",
		data
	});
}
// 编辑单位耗材值
// export function puttbProskuCon(data) {
//     return request({
//         url: '/api/tbProskuCon',
//         method: "put",
//         data
//     });
// }
/**
 * 删除商品规格耗材信息状态
 * @returns
 */
export function deletetbProskuCon(data) {
	return request({
		url: '/api/tbProskuCon',
		method: "delete",
		data
	});
}
/**
 * 查询耗材流水信息
 * @returns
 */
export function gettbConsInfoFlow(params) {
	return request({
		url: '/api/tbConsInfoFlow',
		method: "get",
		params
	});
}
/**
 * 分组查询获取耗材流水信息
 */
// export function viewConInfoFlow(data) {
// 	return request({
// 		url: "/api/viewConInfoFlow",
// 		method: "get",
// 		params: {
// 			shopId: uni.getStorageSync("shopId"),
// 			...data
// 		}
// 	});
// }

/**
 *   查询耗材单位列表
 */
export function queryTbConUnitInfo(data) {
	return request({
		url: "/api/tbConUnit/queryTbConUnitInfo",
		method: "get",
		params: {
			shopId: uni.getStorageSync("shopId"),
			...data
		}
	});
}

/**
 * 新增耗材单位
 */
export function addtbConUnit(data) {
	return request({
		url: '/api/tbConUnit',
		method: "post",
		data: {
			shopId: uni.getStorageSync("shopId"),
			...data
		}
	});
}
/**
 * 修改耗材单位
 */
export function edittbConUnit(data) {
	return request({
		url: '/api/tbConUnit',
		method: "put",
		data: {
			shopId: uni.getStorageSync("shopId"),
			...data
		}
	});
}